import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickHero, userClickRegistration } from '../util/gtm/tags-collection';

/**
 * onClick listener for the toolbar registration button
 */
const initToolbarRegisterButtonClickListener = () => {
  $('.primary-button.buyer.toolbar').on('click', function() {
    // currently pushing to GTM only from the root page
    if (location.pathname === '/') {
      pushTagToGTM(userClickRegistration);
    }

    window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
}

/**
 * onClick listener for the hero registration button
 */
const initHeroRegisterButtonClickListener = () => {
  $('.primary-button.hero.buyer').on('click', function() {
    // currently pushing to GTM only from the root page
    if (location.pathname === '/') {
      pushTagToGTM(userClickHero)
    }

    window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
}

/**
 * onClick listener for the footer registration button
 */
const initFooterRegisterButtonClickListener = () => {
  $('.primary-button.auction-button.footer-button').on('click', function () {
    window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
  });
}

/**
 * buyer click events
 * @returns {{ init: init }}
 */
export const buyerEvents = (() => ({
  init: function () {
    // init onClick listeners
    initToolbarRegisterButtonClickListener();
    initHeroRegisterButtonClickListener();
    initFooterRegisterButtonClickListener();
  }
}))();
